\input Head

\section{\tt SubtractionFunction}

Handler for calls to an action.

\subsection{User Interface}

\begin{verbatim}

class SubtractionFunction: public CallChain::Function
{
public:

  //: Default constructor - construction of dummy instance registers the Eval
  //+ method as the handler for calls to the action named by the GetName method
  SubtractionFunction();

  //: Evaluate an action call
  //!param: Chain - environment of the action call
  //!param: Params - container of parameter names
  //!param: Ret - return value name
  virtual void Eval(CallChain* Chain,
		    const CallChain::Params& Params,
		    const std::string& Ret) const;

  //: Get the name of the handled action
  //!return: The name of the handled action
  virtual const std::string& GetName(void) const;
};

\end{verbatim}

\subsection{Description}

Implements the {\tt CallChain::Function} interface for an action,
and supplies the code to evaluate the operation.

\subsection{Operating Instructions}

\subsubsection{Example Usage}

None.  No further usage of the class is proper.

\subsubsection{Options/Defaults}

None.

\subsection{Exceptions}

\subsubsection{Exceptions Thrown}

The Eval method may throw exceptions indicating an invalid action call syntax.

\subsubsection{Exceptions Handled}

None.

\subsection{Algorithms}

None.

\subsection{Accuracy}

Not relevant.

\subsection{Performance}

Not relevant.

\subsection{Testing}

Tested as part of the token suite.

\subsection{Notes}

This class is one of many similar classes implementing the
{\tt CallChain::Function} interface, each to handling a particular action.
Code implementing the particular action syntax is found in the body of the
Eval method.

\subsection{See Also}

{\tt CallChain::Function}
 
\subsection{References}

None.

\input Tail

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "datacondAPI"
%%% End: 
